import request from '@/utils/request'

// 查询SOS预警处理列表
export function listSolve(query) {
  return request({
    url: '/system/solve/list',
    method: 'get',
    params: query
  })
}

// 查询SOS预警处理详细
export function getSolve(id) {
  return request({
    url: '/system/solve/' + id,
    method: 'get'
  })
}

// 新增SOS预警处理
export function addSolve(data) {
  return request({
    url: '/system/solve',
    method: 'post',
    data: data
  })
}

// 修改SOS预警处理
export function updateSolve(data) {
  return request({
    url: '/system/solve',
    method: 'put',
    data: data
  })
}

// 删除SOS预警处理
export function delSolve(id) {
  return request({
    url: '/system/solve/' + id,
    method: 'delete'
  })
}
